with tab as (
	select
		task_id as Task_Code,
		project_cd AS Project_Code,
		template_name AS Template_Type,
		run_lot_no AS Run_Lot_No,
		biospider_name AS Biospider_Name,
		vicell_cell_id AS Cell_ID,
		create_user_name AS Creator,
		equip_testing_time AS Equip_Testing_Date,
		left(submit_time, 10) AS Submit_Date,
		update_time AS Update_Date,
		case
			when if_have_reject_record = '1' then '是'
			when if_have_reject_record = '0' then '否'
		end as "是否驳回",
		reject_time AS Reject_Date,
		overdue_submit_days AS "超期记录天数",
		comment AS comments,
		t.site_name
	from
		(
			select
				tt.*,
				t.username,
				t4.site_name
			from
				ads.ads_ccpd_record_tracking_analysis tt
				left join ods_ldms.ods_ldms_sp_user_t t on tt.create_user_name = t.username
				left join ods_ldms.ods_ldms_t_sys_dept_user_t t2 on t.id = cast(t2.user_id as int)
				left join ods_ldms.ods_ldms_t_sys_dept_t t3 on t2.dept_id = t3.id
				left join ods_ldms.ods_ldms_t_sys_site_t t4 on t3.sit_id = t4.id
		) t
	where
		1 = 1
		and overdue_submit_days - non_work_day_cnt_overdue_submit > 0
		${if(len(start) == 0,""," and t.submit_time >='"+start+"'")}
		${if(len(end) == 0,""," and t.submit_time <='"+end+"'")} 
		${if(len(ProjectCode) == 0,"","and t.project_cd in ('" + ProjectCode + "')")}
		${if(len(Creator) == 0,"","and t.create_user_name in ('" + Creator + "')")}
		order by ${bl} ${orderby}			
		-- ${if(len(pageno)==0,"","limit "+((pageno-1)*pagesize)+pagesize+" OFFSET "+pagesize)}
 )
  SELECT * from tab 
  where 1=1
    and site_name = (
        select
            distinct t4.site_name
        from
            ods_ldms.ods_ldms_t_sys_dept_user_t t2
            left join ods_ldms.ods_ldms_sp_user_t t on t.id = cast(t2.user_id as int)
            left join ods_ldms.ods_ldms_t_sys_dept_t t3 on t2.dept_id = t3.id
            left join ods_ldms.ods_ldms_t_sys_site_t t4 on t3.sit_id = t4.id
        where
            t.username = '${fine_username}'
    )