-- smart_writing."DATA_DBSource" definition

-- Drop table

-- DROP TABLE smart_writing."DATA_DBSource";

CREATE TABLE smart_writing."DATA_DBSource" (
	id int4 NOT NULL,
	"ExcelNo" varchar(200) NOT NULL,
	"DatabaseConn" text NOT NULL,
	"TableName" varchar(200) NOT NULL,
	"ColumnName" varchar(200) NOT NULL,
	"WhereSql" text NOT NULL,
	"IsDelete" bit(1) NOT NULL,
	"CreateTime" date NULL,
	updatetime date NULL,
	"CreatedBy" varchar(100) NULL,
	"DBsourcename" varchar(200) NOT NULL,
	"DBsourcedes" varchar(200) NOT NULL,
	updater varchar(100) NOT NULL,
	valuetype int4 NULL,
	"Type" int4 NOT NULL,
	ishasfilter int4 NOT NULL,
	"Mode" int4 NOT NULL,
	ishashhand bit(1) NULL
);

-- smart_writing."DATA_DBSource_ComplexInfo" definition

-- Drop table

-- DROP TABLE smart_writing."DATA_DBSource_ComplexInfo";

CREATE TABLE smart_writing."DATA_DBSource_ComplexInfo" (
	id int4 NULL,
	dbnumber varchar(200) NULL,
	"Parameter" varchar(200) NOT NULL,
	bindingtype varchar(200) NOT NULL,
	bindingnumber varchar(100) NOT NULL,
	bindingparameter varchar(200) NOT NULL,
	sort int4 NOT NULL,
	isdelete bit(1) NULL,
	createtime date NOT NULL,
	updatetime date NOT NULL,
	createdby varchar(100) NOT NULL,
	updater varchar(100) NOT NULL
);

-- smart_writing."DSPD_Document_Record" definition

-- Drop table

-- DROP TABLE smart_writing."DSPD_Document_Record";

CREATE TABLE smart_writing."DSPD_Document_Record" (
	"ID" int4 NOT NULL,
	"Project" varchar(10000) NULL,
	"Report_Type" varchar(10000) NULL,
	"Report_Name" varchar(10000) NULL,
	"Report_Address" varchar(10000) NULL,
	"Template_Version" varchar(10000) NULL,
	"Writer" varchar(10000) NULL,
	"Create_Date" date NULL
);

-- smart_writing."DSPD_LRV_Data" definition

-- Drop table

-- DROP TABLE smart_writing."DSPD_LRV_Data";

CREATE TABLE smart_writing."DSPD_LRV_Data" (
	"ID" int4 NOT NULL,
	"Step_ID" int4 NULL,
	"Step_Name" varchar(100) NULL,
	"X_MuLV_LRV1" varchar(100) NULL,
	"X_MuLV_LRV2" varchar(100) NULL,
	"X_MuLV_LRV" varchar(100) NULL,
	"MVM_LRV1" varchar(100) NULL,
	"MVM_LRV2" varchar(100) NULL,
	"MVM_LRV" varchar(100) NULL,
	"PrV_LRV1" varchar(100) NULL,
	"PrV_LRV2" varchar(100) NULL,
	"PrV_LRV" varchar(100) NULL,
	"Reo_LRV1" varchar(100) NULL,
	"Reo_LRV2" varchar(100) NULL,
	"Reo_LRV" varchar(100) NULL,
	"PPV_LRV1" varchar(100) NULL,
	"PPV_LRV2" varchar(100) NULL,
	"PPV_LRV" varchar(100) NULL,
	"VSV_LRV1" varchar(100) NULL,
	"VSV_LRV2" varchar(100) NULL,
	"VSV_LRV" varchar(100) NULL,
	"Stage" varchar(100) NULL
);

-- smart_writing."DSPD_VC_Column_Parameters" definition

-- Drop table

-- DROP TABLE smart_writing."DSPD_VC_Column_Parameters";

CREATE TABLE smart_writing."DSPD_VC_Column_Parameters" (
	"ID" int4 NOT NULL,
	"Step_ID" int4 NULL,
	"Resin_Range" varchar(100) NULL,
	"Resin_GMP" varchar(100) NULL,
	"Resin_Scale_Down" varchar(100) NULL,
	"Resin_Spiking" varchar(100) NULL,
	"Column_Height_Range" varchar(100) NULL,
	"Column_Height_GMP" varchar(100) NULL,
	"Column_Height_Scale_Down" varchar(100) NULL,
	"Column_Height_Spiking" varchar(100) NULL,
	"Column_Diameter_Range" varchar(100) NULL,
	"Column_Diameter_GMP" varchar(100) NULL,
	"Column_Diameter_Scale_Down" varchar(100) NULL,
	"Column_Diameter_Spiking" varchar(100) NULL,
	"Column_Volume_Range" varchar(100) NULL,
	"Column_Volume_GMP" varchar(100) NULL,
	"Column_Volume_Scale_Down" varchar(100) NULL,
	"Column_Volume_Spiking" varchar(100) NULL,
	"Load_Capacity_Range" varchar(100) NULL,
	"Load_Capacity_GMP" varchar(100) NULL,
	"Load_Capacity_Scale_Down" varchar(100) NULL,
	"Load_Capacity_Spiking" varchar(100) NULL,
	"Flow_Rate_Range" varchar(100) NULL,
	"Flow_Rate_GMP" varchar(100) NULL,
	"Flow_Rate_Scale_Down" varchar(100) NULL,
	"Flow_Rate_Spiking" varchar(100) NULL,
	"Residence_Time_Range" varchar(100) NULL,
	"Residence_Time_GMP" varchar(100) NULL,
	"Residence_Time_Scale_Down" varchar(100) NULL,
	"Residence_Time_Spiking" varchar(100) NULL,
	"UV_Cut_off_Range" varchar(100) NULL,
	"UV_Cut_off_GMP" varchar(100) NULL,
	"UV_Cut_off_Scale_Down" varchar(100) NULL,
	"UV_Cut_off_Spiking" varchar(100) NULL,
	"Temperature_Range" varchar(100) NULL,
	"Temperature_GMP" varchar(100) NULL,
	"Temperature_Scale_Down" varchar(100) NULL,
	"Temperature_Spiking" varchar(100) NULL
);

-- smart_writing."DSPD_VC_Low_pH_Parameters" definition

-- Drop table

-- DROP TABLE smart_writing."DSPD_VC_Low_pH_Parameters";

CREATE TABLE smart_writing."DSPD_VC_Low_pH_Parameters" (
	"ID" int4 NOT NULL,
	"Step_ID" int4 NULL,
	"pH_Range" varchar(100) NULL,
	"pH_GMP" varchar(100) NULL,
	"pH_Scale_Down" varchar(100) NULL,
	"pH_Spiking" varchar(100) NULL,
	"Hold_Time_Range" varchar(100) NULL,
	"Hold_Time_GMP" varchar(100) NULL,
	"Hold_Time_Scale_Down" varchar(100) NULL,
	"Hold_Time_Spiking" varchar(100) NULL,
	"Hold_Temperature_Range" varchar(100) NULL,
	"Hold_Temperature_GMP" varchar(100) NULL,
	"Hold_Temperature_Scale_Down" varchar(100) NULL,
	"Hold_Temperature_Spiking" varchar(100) NULL
);

-- smart_writing."DSPD_VC_Protocol_Basic_Information" definition

-- Drop table

-- DROP TABLE smart_writing."DSPD_VC_Protocol_Basic_Information";

CREATE TABLE smart_writing."DSPD_VC_Protocol_Basic_Information" (
	"ID" int4 NULL,
	"Protocol_ID" int4 NULL,
	"GMP_Scale" varchar(100) NULL,
	"GMP_Lot" varchar(100) NULL,
	"TP_No" varchar(100) NULL,
	"Column_First_Volume" varchar(100) NULL,
	"Virus_Inactivation_Volume" varchar(100) NULL,
	"Column_Second_Volume" varchar(100) NULL,
	"VF_Volume" varchar(100) NULL
);

-- smart_writing."DSPD_VC_VF_Parameters" definition

-- Drop table

-- DROP TABLE smart_writing."DSPD_VC_VF_Parameters";

CREATE TABLE smart_writing."DSPD_VC_VF_Parameters" (
	"ID" int4 NOT NULL,
	"Step_ID" int4 NULL,
	"PreFilter_Type_Range" varchar(100) NULL,
	"PreFilter_Type_GMP" varchar(100) NULL,
	"PreFilter_Type_Scale_Down" varchar(100) NULL,
	"PreFilter_Type_Spiking" varchar(100) NULL,
	"PreFilter_Size_Range" varchar(100) NULL,
	"PreFilter_Size_GMP" varchar(100) NULL,
	"PreFilter_Size_Scale_Down" varchar(100) NULL,
	"PreFilter_Size_Spiking" varchar(100) NULL,
	"PreFilter_Capacity_Range" varchar(100) NULL,
	"PreFilter_Capacity_GMP" varchar(100) NULL,
	"PreFilter_Capacity_Scale_Down" varchar(100) NULL,
	"PreFilter_Capacity_Spiking" varchar(100) NULL,
	"Filter_Type_Range" varchar(100) NULL,
	"Filter_Type_GMP" varchar(100) NULL,
	"Filter_Type_Scale_Down" varchar(100) NULL,
	"Filter_Type_Spiking" varchar(100) NULL,
	"Filter_Size_Range" varchar(100) NULL,
	"Filter_Size_GMP" varchar(100) NULL,
	"Filter_Size_Scale_Down" varchar(100) NULL,
	"Filter_Size_Spiking" varchar(100) NULL,
	"Pressure_Range" varchar(100) NULL,
	"Pressure_GMP" varchar(100) NULL,
	"Pressure_Scale_Down" varchar(100) NULL,
	"Pressure_Spiking" varchar(100) NULL,
	"Filter_Capacity_Range" varchar(100) NULL,
	"Filter_Capacity_GMP" varchar(100) NULL,
	"Filter_Capacity_Scale_Down" varchar(100) NULL,
	"Filter_Capacity_Spiking" varchar(100) NULL,
	"Filter_Chasing_Range" varchar(100) NULL,
	"Filter_Chasing_GMP" varchar(100) NULL,
	"Filter_Chasing_Scale_Down" varchar(100) NULL,
	"Filter_Chasing_Spiking" varchar(100) NULL,
	"Pasue_Time_Range" varchar(100) NULL,
	"Pasue_Time_GMP" varchar(100) NULL,
	"Pasue_Time_Scale_Down" varchar(100) NULL,
	"Pasue_Time_Spiking" varchar(100) NULL
);

-- smart_writing."DSPD_VC_step" definition

-- Drop table

-- DROP TABLE smart_writing."DSPD_VC_step";

CREATE TABLE smart_writing."DSPD_VC_step" (
	"ID" int4 NOT NULL,
	"Pro_ID" int4 NULL,
	"Step" varchar(100) NULL,
	"Type" int4 NULL
);

-- smart_writing."LIMS7_AS_4.4_T" definition

-- Drop table

-- DROP TABLE smart_writing."LIMS7_AS_4.4_T";

CREATE TABLE smart_writing."LIMS7_AS_4.4_T" (
	"C_PROJECT_NO" varchar(50) NULL,
	"BATCH_REFERENCE" varchar(50) NULL,
	"ANALYSIS" varchar(30) NULL,
	"REPORTED_NAME" varchar(254) NULL,
	"FORMATTED_ENTRY" varchar(512) NULL,
	"PRODUCT" varchar(30) NULL
);

-- smart_writing."QC_IND_AcceptanceCriteria" definition

-- Drop table

-- DROP TABLE smart_writing."QC_IND_AcceptanceCriteria";

CREATE TABLE smart_writing."QC_IND_AcceptanceCriteria" (
	"PRODUCT" varchar(30) NOT NULL,
	acceptancecriteria varchar(214748) NULL
);

-- smart_writing."QC_IND_LIMS7_test" definition

-- Drop table

-- DROP TABLE smart_writing."QC_IND_LIMS7_test";

CREATE TABLE smart_writing."QC_IND_LIMS7_test" (
	c_project_no varchar(50) NULL,
	t_ph_lot_name varchar(50) NULL,
	t_ph_item_code varchar(20) NULL,
	production_date timestamp NULL,
	c_storage_cond_fp varchar(30) NULL,
	c_manufacturer varchar(50) NULL,
	sample_number int4 NULL,
	login_date timestamp NULL,
	description varchar(254) NULL,
	"ANALYSIS" varchar(30) NULL,
	"name" varchar(40) NULL,
	reported_name varchar(254) NULL,
	"C_AMP_No" varchar(254) NULL,
	formatted_entry varchar(512) NULL,
	attribute_1 varchar(512) NULL,
	units varchar(20) NULL,
	"C_TARGET_CON" varchar(30) NULL,
	spec_rule varchar(50) NULL
);

-- smart_writing."QC_ind_b" definition

-- Drop table

-- DROP TABLE smart_writing."QC_ind_b";

CREATE TABLE smart_writing."QC_ind_b" (
	"C_PROJECT_NO" varchar(50) NULL,
	lot_no varchar(50) NULL,
	"SAMPLE_NUMBER" int4 NULL,
	"ANALYSIS" varchar(30) NULL,
	"NAME" varchar(40) NULL,
	"REPORTED_NAME" varchar(254) NULL,
	"C_AMP_NO" varchar(254) NULL,
	"FORMATTED_ENTRY" varchar(512) NULL,
	"PRODUCT" varchar(30) NULL
);

-- smart_writing."WXQC_AcceptanceCriteria" definition

-- Drop table

-- DROP TABLE smart_writing."WXQC_AcceptanceCriteria";

CREATE TABLE smart_writing."WXQC_AcceptanceCriteria" (
	"ENTRY_CODE" int4 NOT NULL,
	result_number int4 NULL,
	"C_PROTOCOL_NO" varchar(254) NULL,
	acceptancecriteria varchar(2147) NULL
);

-- smart_writing."WXQC_B_M_T" definition

-- Drop table

-- DROP TABLE smart_writing."WXQC_B_M_T";

CREATE TABLE smart_writing."WXQC_B_M_T" (
	"ITEM_CODE" varchar(30) NULL,
	"PROJECT" varchar(50) NULL,
	"C_DS_LOT_NUMBER" varchar(50) NULL,
	"MANUFACTURING_SITE" varchar(254) NULL,
	"C_MANUFACTURE" varchar(254) NULL,
	lot_no varchar(50) NULL,
	"DISPLAY_AS" varchar(50) NULL,
	"C_TARGET_CON" varchar(30) NULL,
	max_timepoint varchar(20) NULL
);

-- smart_writing."WXQC_B_T" definition

-- Drop table

-- DROP TABLE smart_writing."WXQC_B_T";

CREATE TABLE smart_writing."WXQC_B_T" (
	project_code varchar(50) NULL,
	"C_PROJ_NO" varchar(50) NULL,
	"DATE_STARTED" timestamp NULL,
	"C_BUFFER_INFORMATION" varchar(254) NULL,
	"SAMPLE_NUMBER" int4 NULL,
	invest_num varchar(50) NULL,
	"C_INVEST_NUM" varchar(50) NULL,
	"C_INVEST_DES" varchar(512) NULL,
	"ANALYSIS" varchar(30) NULL,
	"TEST_NUMBER" int4 NULL,
	"C_AMP_NO" varchar(254) NULL,
	c_invest_num_test varchar(50) NULL,
	c_invest_des_test varchar(512) NULL,
	timepoint varchar(20) NULL,
	"condition" varchar(254) NULL,
	protocol_level varchar(20) NULL
);

-- smart_writing."WXQC_LIMIT_T" definition

-- Drop table

-- DROP TABLE smart_writing."WXQC_LIMIT_T";

CREATE TABLE smart_writing."WXQC_LIMIT_T" (
	"SAMPLE_NUMBER" int4 NULL,
	"ANALYSIS" varchar(30) NULL,
	"NAME" varchar(40) NULL,
	"RESULT_NUMBER" int4 NULL,
	upper_limit varchar(2147) NULL,
	lower_limit varchar(2147) NULL
);

-- smart_writing."WXQC_Row_REPORTED" definition

-- Drop table

-- DROP TABLE smart_writing."WXQC_Row_REPORTED";

CREATE TABLE smart_writing."WXQC_Row_REPORTED" (
	"C_PROJ_NO" varchar(50) NULL,
	"BATCH_REFERENCE" varchar(254) NULL,
	"REPORTED_NAME_AN" varchar(254) NULL,
	"C_AMP_NO" varchar(254) NULL,
	acceptancecriteria varchar(10485760) NULL
);

-- smart_writing."WXQC_lims7_product" definition

-- Drop table

-- DROP TABLE smart_writing."WXQC_lims7_product";

CREATE TABLE smart_writing."WXQC_lims7_product" (
	"VERSION" int4 NULL,
	"C_PROTOCOL_NO" varchar(254) NULL
);

-- smart_writing."ads_Cell_passe_Basic_NPP_SW" definition

-- Drop table

-- DROP TABLE smart_writing."ads_Cell_passe_Basic_NPP_SW";

CREATE TABLE smart_writing."ads_Cell_passe_Basic_NPP_SW" (
	project_cd varchar(1000) NULL,
	task_id varchar(1000) NULL,
	task_name varchar(1000) NULL,
	template_id varchar(1000) NULL,
	laboratory_detail_id varchar(1000) NULL,
	status varchar(1000) NULL,
	avg_diam varchar(1000) NULL,
	"Avg.diam " varchar(1000) NULL,
	cell_id varchar(1000) NULL,
	combine varchar(1000) NULL,
	run_lot_no varchar(1000) NULL,
	seed_pdl varchar(1000) NULL,
	vcd varchar(1000) NULL,
	bag_lot varchar(1000) NULL,
	"Bag_Lot." varchar(1000) NULL,
	"Basal_Medium" varchar(1000) NULL,
	basal_medium_amount varchar(1000) NULL,
	"Controller_No." varchar(1000) NULL,
	ph_offset varchar(1000) NULL,
	"pH_Serial No." varchar(1000) NULL,
	ph_slope varchar(1000) NULL,
	"Run_Lot No." varchar(1000) NULL,
	seed_volume varchar(1000) NULL,
	seed_volume_unit varchar(1000) NULL,
	start_time varchar(1000) NULL,
	target_seeding_density varchar(1000) NULL,
	target_seeding_densty varchar(1000) NULL,
	vessel_size varchar(1000) NULL,
	atf_info varchar(1000) NULL,
	e_flow_sp varchar(1000) NULL,
	p_flow_sp varchar(1000) NULL,
	now timestamp NULL
);

-- smart_writing."ads_Cell_passe_detail_NPP_SW" definition

-- Drop table

-- DROP TABLE smart_writing."ads_Cell_passe_detail_NPP_SW";

CREATE TABLE smart_writing."ads_Cell_passe_detail_NPP_SW" (
	project_cd varchar(1000) NULL,
	task_id varchar(1000) NULL,
	task_name varchar(1000) NULL,
	laboratory_detail_id varchar(1000) NULL,
	template_id varchar(1000) NULL,
	template_name varchar(1000) NULL,
	status varchar(1000) NULL,
	cell_bank_info varchar(1000) NULL,
	combine varchar(1000) NULL,
	lot_no varchar(1000) NULL,
	previous_cell_id varchar(1000) NULL,
	run_lot_no varchar(1000) NULL,
	thaw_date varchar(1000) NULL,
	thaw_days varchar(1000) NULL,
	vial_no varchar(1000) NULL,
	"comments" varchar(1000) NULL,
	desired_vcd varchar(1000) NULL,
	inoculation_or_not varchar(1000) NULL,
	predicted_cell_id varchar(1000) NULL,
	predicted_culture_time varchar(1000) NULL,
	predicted_culture_volume varchar(1000) NULL,
	predicted_medium_volume varchar(1000) NULL,
	"Predicted_Seed_Volume" varchar(1000) NULL,
	vi_cell_average_diameter varchar(1000) NULL,
	vi_cell_cell_id varchar(1000) NULL,
	vi_cell_cell_type varchar(1000) NULL,
	vi_cell_culture_volume varchar(1000) NULL,
	vi_cell_dilution_factor varchar(1000) NULL,
	vi_cell_flask_volume varchar(1000) NULL,
	vi_cell_last_doubling_time varchar(1000) NULL,
	vi_cell_media_volume varchar(1000) NULL,
	vi_cell_pdl varchar(1000) NULL,
	vi_cell_sampling_time varchar(1000) NULL,
	vi_cell_seed_volume varchar(1000) NULL,
	vi_cell_vcd varchar(1000) NULL,
	vi_cell_viability varchar(1000) NULL,
	"vi_cell_Δsampling_days" varchar(1000) NULL,
	vi_cell_μ varchar(1000) NULL,
	medium_lot_no varchar(1000) NULL,
	medium_type varchar(1000) NULL,
	medium_name varchar(1000) NULL,
	medium_valid_date varchar(1000) NULL,
	medium_info_comment varchar(1000) NULL,
	shaker_bed_capex_no varchar(1000) NULL,
	shaker_bed_shaker_no varchar(1000) NULL,
	"shaker_bed_Temp.(℃)" varchar(1000) NULL,
	shaker_bed_agitation varchar(1000) NULL,
	"shaker_bed_CO2(%)" varchar(1000) NULL,
	shaker_bed_orbital_diam varchar(1000) NULL,
	shaker_bed_platform varchar(1000) NULL,
	shaker_bed_comment varchar(1000) NULL
);

-- smart_writing.ads_npp_batch_no definition

-- Drop table

-- DROP TABLE smart_writing.ads_npp_batch_no;

CREATE TABLE smart_writing.ads_npp_batch_no (
	project_cd varchar(10000) NULL,
	task_id varchar(10000) NULL,
	task_name varchar(10000) NULL,
	laboratory_detail_id varchar(10000) NULL,
	template_id varchar(10000) NULL,
	template_name varchar(10000) NULL,
	create_time varchar(10000) NULL,
	updater_userid varchar(10000) NULL,
	update_time varchar(10000) NULL,
	category varchar(10000) NULL,
	status varchar(10000) NULL,
	"Batch No." text NULL
);

-- smart_writing.ads_npp_batch_no_s definition

-- Drop table

-- DROP TABLE smart_writing.ads_npp_batch_no_s;

CREATE TABLE smart_writing.ads_npp_batch_no_s (
	project_cd varchar(10000) NULL,
	task_id varchar(10000) NULL,
	task_name varchar(10000) NULL,
	laboratory_detail_id varchar(10000) NULL,
	template_id varchar(10000) NULL,
	template_name varchar(10000) NULL,
	create_time varchar(10000) NULL,
	updater_userid varchar(10000) NULL,
	update_time varchar(10000) NULL,
	category varchar(10000) NULL,
	status varchar(10000) NULL,
	"Lot No." text NULL
);

-- smart_writing.ads_npp_column_information definition

-- Drop table

-- DROP TABLE smart_writing.ads_npp_column_information;

CREATE TABLE smart_writing.ads_npp_column_information (
	project_cd varchar(10000) NULL,
	task_id varchar(10000) NULL,
	task_name varchar(10000) NULL,
	laboratory_detail_id varchar(10000) NULL,
	template_id varchar(10000) NULL,
	template_name varchar(10000) NULL,
	create_time varchar(10000) NULL,
	updater_userid varchar(10000) NULL,
	update_time varchar(10000) NULL,
	category varchar(10000) NULL,
	status varchar(10000) NULL,
	"Resin BarCode" text NULL,
	"Resin" text NULL,
	"Cat No" text NULL,
	"Lot No" text NULL,
	"Expire Date" text NULL,
	"Diameter (cm)" text NULL,
	"Height (cm)" text NULL,
	"CV (L)" text NULL,
	"Asymmetry Factor" text NULL,
	"HETP (cm)" text NULL
);

-- smart_writing.ads_npp_depth_filtration definition

-- Drop table

-- DROP TABLE smart_writing.ads_npp_depth_filtration;

CREATE TABLE smart_writing.ads_npp_depth_filtration (
	project_cd varchar(10000) NULL,
	task_id varchar(10000) NULL,
	task_name varchar(10000) NULL,
	laboratory_detail_id varchar(10000) NULL,
	template_id varchar(10000) NULL,
	template_name varchar(10000) NULL,
	create_time varchar(10000) NULL,
	updater_userid varchar(10000) NULL,
	update_time varchar(10000) NULL,
	category varchar(10000) NULL,
	status varchar(10000) NULL,
	"Comments" text NULL,
	"Solid1" text NULL,
	"Run Lot No." text NULL,
	"Primary Capacity Unit" text NULL,
	"PCV1" text NULL,
	"Titer(g/L)" text NULL,
	"Amount" text NULL,
	"Cond." text NULL,
	"Post-depth Filtration Product" text NULL,
	"Turbidity" text NULL,
	"Solid Content(%)" text NULL,
	"Sampling" text NULL,
	"Product Delivery" text NULL,
	"pH" text NULL,
	"Yied" text NULL,
	"Turbidity3" text NULL,
	"Turbidity2" text NULL,
	"VCD(10^6 cells/mL)" text NULL,
	"Secondary Capacity" text NULL,
	"Secondary Capacity Unit" text NULL,
	"Material Information" text NULL,
	"Process information-collection bag" text NULL,
	"Solid2" text NULL,
	"Harvest Vol.(kg)" text NULL,
	"Process Parameters" text NULL,
	"Turbidity1" text NULL,
	"Viability(%)" text NULL,
	"Cell ID" text NULL,
	"Dilution Ratio" text NULL,
	"PCV2" text NULL,
	"Primary Capacity" text NULL
);

-- smart_writing.ads_npp_experiment_all_record definition

-- Drop table

-- DROP TABLE smart_writing.ads_npp_experiment_all_record;

CREATE TABLE smart_writing.ads_npp_experiment_all_record (
	project_cd text NULL,
	task_id text NULL,
	task_name text NULL,
	laboratory_detail_id text NULL,
	template_id text NULL,
	template_name text NULL,
	creater_userid text NULL,
	create_time text NULL,
	updater_userid text NULL,
	update_time text NULL,
	category text NULL,
	"label" text NULL,
	record text NULL,
	status text NULL,
	dwd_update_time timestamp NULL
);

-- smart_writing.ads_npp_filter_membrane_container_information definition

-- Drop table

-- DROP TABLE smart_writing.ads_npp_filter_membrane_container_information;

CREATE TABLE smart_writing.ads_npp_filter_membrane_container_information (
	project_cd varchar(10000) NULL,
	task_id varchar(10000) NULL,
	task_name varchar(10000) NULL,
	laboratory_detail_id varchar(10000) NULL,
	template_id varchar(10000) NULL,
	template_name varchar(10000) NULL,
	create_time varchar(10000) NULL,
	updater_userid varchar(10000) NULL,
	update_time varchar(10000) NULL,
	category varchar(10000) NULL,
	status varchar(10000) NULL,
	step text NULL,
	"Category_c" text NULL,
	"Material" text NULL,
	"Description" text NULL,
	"Manufacturer" text NULL,
	"Membrane Area(m²)" text NULL,
	"No." text NULL,
	"Total Membrane Area(m²)" text NULL,
	id text NULL
);

-- smart_writing.ads_npp_in_process_data definition

-- Drop table

-- DROP TABLE smart_writing.ads_npp_in_process_data;

CREATE TABLE smart_writing.ads_npp_in_process_data (
	project_cd varchar(10000) NULL,
	task_id varchar(10000) NULL,
	task_name varchar(10000) NULL,
	laboratory_detail_id varchar(10000) NULL,
	template_id varchar(10000) NULL,
	template_name varchar(10000) NULL,
	create_time varchar(10000) NULL,
	updater_userid varchar(10000) NULL,
	update_time varchar(10000) NULL,
	category varchar(10000) NULL,
	status varchar(10000) NULL,
	step text NULL,
	"Sample Description" text NULL,
	"Load Sample ID" text NULL,
	"PH1" text NULL,
	"Cond(mS/cm)1" text NULL,
	"Density(kg/L)1" text NULL,
	"Conc(g/L)1" text NULL,
	"Volume(kg)1" text NULL,
	"Amount(g)1" text NULL,
	capacity text NULL,
	"Capacity Unit" text NULL,
	"Intermediate Sample ID" text NULL,
	ph2 text NULL,
	"Cond(mS/cm)2" text NULL,
	"Density(kg/L)2" text NULL,
	"Conc(g/L)2" text NULL,
	"Volume(kg)2" text NULL,
	"Volume (CV)" text NULL,
	"Amount(g)2" text NULL,
	"Step Yield(%)" text NULL
);

-- smart_writing.ads_npp_post_depth_filtration_product definition

-- Drop table

-- DROP TABLE smart_writing.ads_npp_post_depth_filtration_product;

CREATE TABLE smart_writing.ads_npp_post_depth_filtration_product (
	project_cd varchar(10000) NULL,
	task_id varchar(10000) NULL,
	task_name varchar(10000) NULL,
	laboratory_detail_id varchar(10000) NULL,
	template_id varchar(10000) NULL,
	template_name varchar(10000) NULL,
	create_time varchar(10000) NULL,
	updater_userid varchar(10000) NULL,
	update_time varchar(10000) NULL,
	category varchar(10000) NULL,
	status varchar(10000) NULL,
	"Intermediate Sample ID" text NULL,
	"pH" text NULL,
	"Cond.(mS/cm)" text NULL,
	"Turbidity(NTU)" text NULL,
	"Titer after depth filtration(g/L)" text NULL,
	"Total Volume of Post-depth filtration product(kg)" text NULL,
	"Total amount of protein after depth filtration(g)" text NULL,
	"Comments" text NULL
);

-- smart_writing.ads_npp_process_parameters definition

-- Drop table

-- DROP TABLE smart_writing.ads_npp_process_parameters;

CREATE TABLE smart_writing.ads_npp_process_parameters (
	project_cd varchar(10000) NULL,
	task_id varchar(10000) NULL,
	task_name varchar(10000) NULL,
	laboratory_detail_id varchar(10000) NULL,
	template_id varchar(10000) NULL,
	template_name varchar(10000) NULL,
	create_time varchar(10000) NULL,
	updater_userid varchar(10000) NULL,
	update_time varchar(10000) NULL,
	category varchar(10000) NULL,
	status varchar(10000) NULL,
	step text NULL,
	"Buffer/Solution" text NULL,
	"Expire Date" text NULL,
	"Flux (LMH)" text NULL,
	"Delta Pressure 1 (ΔP1)" text NULL,
	"Delta Pressure 2 (ΔP2)" text NULL,
	"Delta Pressure Unit" text NULL,
	volume text NULL,
	"Volume Unit" text NULL,
	"comments" text NULL
);

-- smart_writing.ads_npp_process_parameters_for_ac definition

-- Drop table

-- DROP TABLE smart_writing.ads_npp_process_parameters_for_ac;

CREATE TABLE smart_writing.ads_npp_process_parameters_for_ac (
	project_cd varchar(10000) NULL,
	task_id varchar(10000) NULL,
	task_name varchar(10000) NULL,
	laboratory_detail_id varchar(10000) NULL,
	template_id varchar(10000) NULL,
	template_name varchar(10000) NULL,
	create_time varchar(10000) NULL,
	updater_userid varchar(10000) NULL,
	update_time varchar(10000) NULL,
	category varchar(10000) NULL,
	status varchar(10000) NULL,
	step text NULL,
	"Buffer/Solution" text NULL,
	"Volume (CV)" text NULL,
	"Flow Direction" text NULL,
	"Flow Rate (cm/h)" text NULL,
	"Total Contact Time(min)" text NULL,
	"Gradient" text NULL,
	"Comments" text NULL
);

-- smart_writing.ads_npp_process_parameters_for_clarification definition

-- Drop table

-- DROP TABLE smart_writing.ads_npp_process_parameters_for_clarification;

CREATE TABLE smart_writing.ads_npp_process_parameters_for_clarification (
	project_cd varchar(10000) NULL,
	task_id varchar(10000) NULL,
	task_name varchar(10000) NULL,
	laboratory_detail_id varchar(10000) NULL,
	template_id varchar(10000) NULL,
	template_name varchar(10000) NULL,
	create_time varchar(10000) NULL,
	updater_userid varchar(10000) NULL,
	update_time varchar(10000) NULL,
	category varchar(10000) NULL,
	status varchar(10000) NULL,
	step text NULL,
	"Buffer/Solution" text NULL,
	"Buffer Lot No" text NULL,
	"Expire Date" text NULL,
	"Flux (LMH)" text NULL,
	"Delta Pressure 1 (ΔP1)" text NULL,
	"Delta Pressure 2 (ΔP2)" text NULL,
	"Delta Pressure 3 (ΔP3)" text NULL,
	"Delta Pressure Unit" text NULL,
	volume text NULL,
	"Volume Unit" text NULL,
	"comments" text NULL
);

-- smart_writing.ads_npp_process_parameters_for_uf_df definition

-- Drop table

-- DROP TABLE smart_writing.ads_npp_process_parameters_for_uf_df;

CREATE TABLE smart_writing.ads_npp_process_parameters_for_uf_df (
	project_cd varchar(10000) NULL,
	task_id varchar(10000) NULL,
	task_name varchar(10000) NULL,
	laboratory_detail_id varchar(10000) NULL,
	template_id varchar(10000) NULL,
	template_name varchar(10000) NULL,
	create_time varchar(10000) NULL,
	updater_userid varchar(10000) NULL,
	update_time varchar(10000) NULL,
	category varchar(10000) NULL,
	status varchar(10000) NULL,
	step text NULL,
	"Buffer/Solution" text NULL,
	"Feed Flux (LMH)" text NULL,
	"TMP" text NULL,
	"TMP Unit" text NULL,
	"Volume" text NULL,
	"Volume Unit" text NULL,
	"comments" text NULL
);

-- smart_writing.ads_npp_process_parameters_for_vf definition

-- Drop table

-- DROP TABLE smart_writing.ads_npp_process_parameters_for_vf;

CREATE TABLE smart_writing.ads_npp_process_parameters_for_vf (
	project_cd varchar(10000) NULL,
	task_id varchar(10000) NULL,
	task_name varchar(10000) NULL,
	laboratory_detail_id varchar(10000) NULL,
	template_id varchar(10000) NULL,
	template_name varchar(10000) NULL,
	create_time varchar(10000) NULL,
	updater_userid varchar(10000) NULL,
	update_time varchar(10000) NULL,
	category varchar(10000) NULL,
	status varchar(10000) NULL,
	step text NULL,
	"Buffer/Solution" text NULL,
	"Pre-filter Pressure (bar)" text NULL,
	"Nano-filter Pressure (bar)" text NULL,
	"Pre-filter Volume (L/m2)" text NULL,
	"Nano-filter Volume (L/m2)" text NULL,
	"Comments" text NULL
);

-- smart_writing.ads_npp_process_parameters_for_vin definition

-- Drop table

-- DROP TABLE smart_writing.ads_npp_process_parameters_for_vin;

CREATE TABLE smart_writing.ads_npp_process_parameters_for_vin (
	project_cd varchar(10000) NULL,
	task_id varchar(10000) NULL,
	task_name varchar(10000) NULL,
	laboratory_detail_id varchar(10000) NULL,
	template_id varchar(10000) NULL,
	template_name varchar(10000) NULL,
	create_time varchar(10000) NULL,
	updater_userid varchar(10000) NULL,
	update_time varchar(10000) NULL,
	category varchar(10000) NULL,
	status varchar(10000) NULL,
	step text NULL,
	"Low pH Solution" text NULL,
	"Added amount (kg)1" text NULL,
	"Ratio (w/w)1" text NULL,
	"pH1" text NULL,
	"Cond (mS/cm)1" text NULL,
	"Hold time (min)1" text NULL,
	"Neutralization Solution" text NULL,
	"Added amount (kg)2" text NULL,
	"Ratio (w/w)2" text NULL,
	"pH2" text NULL,
	"Cond (mS/cm)2" text NULL,
	"Hold time (min)2" text NULL
);

-- smart_writing.ads_npp_process_parameters_p definition

-- Drop table

-- DROP TABLE smart_writing.ads_npp_process_parameters_p;

CREATE TABLE smart_writing.ads_npp_process_parameters_p (
	project_cd varchar(10000) NULL,
	task_id varchar(10000) NULL,
	task_name varchar(10000) NULL,
	laboratory_detail_id varchar(10000) NULL,
	template_id varchar(10000) NULL,
	template_name varchar(10000) NULL,
	create_time varchar(10000) NULL,
	updater_userid varchar(10000) NULL,
	update_time varchar(10000) NULL,
	category varchar(10000) NULL,
	status varchar(10000) NULL,
	step text NULL,
	"Buffer/Solution" text NULL,
	"Volume (CV)" text NULL,
	"Flow Direction" text NULL,
	"Flow Rate (cm/h)" text NULL,
	"Total Contact Time(min)" text NULL,
	"UV280 cut off(mAu/mm)" text NULL,
	gradient text NULL,
	"comments" text NULL
);

-- smart_writing."as_lims6_4.4" definition

-- Drop table

-- DROP TABLE smart_writing."as_lims6_4.4";

CREATE TABLE smart_writing."as_lims6_4.4" (
	"C_PROJECT_CODE" varchar(50) NULL,
	"C_REQUEST_NO" varchar(50) NULL,
	"C_LOT_NO" varchar(50) NULL,
	"ANALYSIS" varchar(20) NULL,
	"NAME" varchar(60) NULL,
	"ENTRY" varchar(254) NULL,
	"INVENTORY_TYPE" varchar(20) NULL,
	"T_SINGLE_VIAL_QTY" float8 NULL
);

-- smart_writing."as_lims6_5.4" definition

-- Drop table

-- DROP TABLE smart_writing."as_lims6_5.4";

CREATE TABLE smart_writing."as_lims6_5.4" (
	"C_PROJECT_CODE" varchar(50) NULL,
	"C_LOT_NO" varchar(50) NULL,
	"C_REQUEST_NO" varchar(50) NULL,
	"SAMPLE_NUMBER" int4 NOT NULL,
	"ANALYSIS" varchar(20) NULL,
	"NAME" varchar(60) NULL,
	"ENTRY" varchar(254) NULL
);

-- smart_writing."as_lims6_8.3" definition

-- Drop table

-- DROP TABLE smart_writing."as_lims6_8.3";

CREATE TABLE smart_writing."as_lims6_8.3" (
	"C_PROJECT_CODE" varchar(50) NULL,
	"C_REQUEST_NO" varchar(50) NULL,
	"C_LOT_NO" varchar(50) NULL,
	"ANALYSIS" varchar(20) NULL,
	"NAME" varchar(60) NULL,
	"ENTRY" varchar(254) NULL,
	"TIMEPOINT" varchar(20) NULL,
	"CONDITION" varchar(20) NULL
);

-- smart_writing.as_lims6_analysis definition

-- Drop table

-- DROP TABLE smart_writing.as_lims6_analysis;

CREATE TABLE smart_writing.as_lims6_analysis (
	analysis varchar(50) NULL,
	analysis1 varchar(50) NULL,
	"Column3" varchar(50) NULL
);

-- smart_writing."as_lims7_4.4" definition

-- Drop table

-- DROP TABLE smart_writing."as_lims7_4.4";

CREATE TABLE smart_writing."as_lims7_4.4" (
	"C_PROJECT_NO" varchar(50) NULL,
	"BATCH_REFERENCE" varchar(50) NULL,
	"ANALYSIS" varchar(30) NULL,
	"NAME" varchar(40) NULL,
	"FORMATTED_ENTRY" varchar(512) NULL,
	"DATE_STARTED" timestamp NULL,
	"C_TARGET_CON" varchar(30) NULL,
	"SAMPLE_NUMBER" int4 NULL
);

-- smart_writing."as_lims7_5.4" definition

-- Drop table

-- DROP TABLE smart_writing."as_lims7_5.4";

CREATE TABLE smart_writing."as_lims7_5.4" (
	"C_PROJECT_NO" varchar(50) NULL,
	"SAMPLE_NUMBER" int4 NULL,
	lot_no varchar(50) NULL,
	"CONDITION" varchar(20) NULL,
	"ANALYSIS" varchar(30) NULL,
	"NAME" varchar(40) NULL,
	"result" varchar(512) NULL,
	acceptancecriteria varchar(214) NULL
);

-- smart_writing."as_lims7_8.1" definition

-- Drop table

-- DROP TABLE smart_writing."as_lims7_8.1";

CREATE TABLE smart_writing."as_lims7_8.1" (
	"C_PROJECT_NO" varchar(50) NULL,
	"BATCH_REFERENCE" varchar(50) NULL,
	"SAMPLE_NUMBER" varchar(10) NULL,
	"PRODUCTION_DATE" timestamp NULL,
	"DATE_STARTED" timestamp NULL,
	"CONDITION" varchar(20) NULL,
	"TIMEPOINT" varchar(20) NULL,
	protocol_level varchar(20) NULL
);

-- smart_writing."as_lims7_8.3" definition

-- Drop table

-- DROP TABLE smart_writing."as_lims7_8.3";

CREATE TABLE smart_writing."as_lims7_8.3" (
	"C_PROJECT_NO" varchar(50) NULL,
	"SAMPLE_NUMBER" int4 NULL,
	"BATCH_REFERENCE" varchar(50) NULL,
	"CONDITION" varchar(20) NULL,
	"TIMEPOINT" varchar(20) NULL,
	protocol_level varchar(20) NULL,
	"ANALYSIS" varchar(30) NULL,
	"NAME" varchar(40) NULL,
	"FORMATTED_ENTRY" varchar(512) NULL,
	acceptancecriteria varchar(214) NULL
);

-- smart_writing.as_lims7_analysis definition

-- Drop table

-- DROP TABLE smart_writing.as_lims7_analysis;

CREATE TABLE smart_writing.as_lims7_analysis (
	analysis varchar(50) NULL,
	analysis1 varchar(50) NULL,
	"Column3" varchar(50) NULL,
	"Column4" varchar(50) NULL,
	"Column5" varchar(50) NULL
);

-- smart_writing.as_lims7_test definition

-- Drop table

-- DROP TABLE smart_writing.as_lims7_test;

CREATE TABLE smart_writing.as_lims7_test (
	c_project_no varchar(50) NULL,
	"BATCH_REFERENCE" varchar(50) NULL,
	"ANALYSIS" varchar(30) NULL,
	"name" varchar(40) NULL,
	"Condition" varchar(20) NULL,
	description varchar(254) NULL,
	timepoint varchar(20) NULL,
	formatted_entry varchar(512) NULL
);

-- smart_writing.as_lims7_test_z definition

-- Drop table

-- DROP TABLE smart_writing.as_lims7_test_z;

CREATE TABLE smart_writing.as_lims7_test_z (
	c_project_no varchar(50) NULL,
	"BATCH_REFERENCE" varchar(50) NULL,
	"Condition" varchar(20) NULL,
	sample_number int4 NOT NULL,
	description varchar(254) NULL,
	timepoint varchar(20) NULL,
	"ANALYSIS" varchar(30) NULL,
	"NAME" varchar(40) NULL,
	formatted_entry varchar(512) NULL,
	attribute_1 varchar(512) NULL,
	spec_rule varchar(50) NULL
);

-- smart_writing.as_lims_v_samples_v_s definition

-- Drop table

-- DROP TABLE smart_writing.as_lims_v_samples_v_s;

CREATE TABLE smart_writing.as_lims_v_samples_v_s (
	"SAMPLE_NUMBER" int4 NULL,
	"C_PROJECT_CODE" varchar(50) NULL,
	"C_REQUEST_NO" varchar(50) NULL,
	"C_LOT_NO" varchar(50) NULL,
	"ANALYSIS" varchar(20) NULL,
	"NAME" varchar(60) NULL,
	"ENTRY" varchar(254) NULL,
	"CONDITION" varchar(20) NULL,
	"TIMEPOINT" varchar(20) NULL,
	"BASE_DATE" timestamp NULL,
	"SAMPLE_TYPE" varchar(50) NULL,
	"T_SINGLE_VIAL_QTY" float8 NULL,
	"INVENTORY_TYPE" varchar(20) NULL
);

-- smart_writing.as_lims_v_samples_v_s_z definition

-- Drop table

-- DROP TABLE smart_writing.as_lims_v_samples_v_s_z;

CREATE TABLE smart_writing.as_lims_v_samples_v_s_z (
	"SAMPLE_NUMBER" int4 NULL,
	"C_PROJECT_CODE" varchar(50) NULL,
	"C_REQUEST_NO" varchar(50) NULL,
	"C_LOT_NO" varchar(50) NULL,
	"C_ANALYTICAL_NUM" varchar(50) NULL,
	"ANALYSIS" varchar(20) NULL,
	"NAME" varchar(60) NULL,
	"ENTRY" varchar(254) NULL,
	"CONDITION" varchar(20) NULL,
	"TIMEPOINT" varchar(20) NULL,
	"BASE_DATE" timestamp NULL,
	"SAMPLE_TYPE" varchar(50) NULL,
	"DESCRIPTION" varchar(500) NULL,
	"T_SINGLE_VIAL_QTY" float8 NULL,
	"INVENTORY_TYPE" varchar(20) NULL
);

-- smart_writing.dim_ccpd_sample definition

-- Drop table

-- DROP TABLE smart_writing.dim_ccpd_sample;

CREATE TABLE smart_writing.dim_ccpd_sample (
	sample_id varchar(1000) NOT NULL,
	laboratory_detail_id int4 NULL,
	sample_cnt_per_id int8 NULL,
	sample_type varchar(1000) NULL,
	department varchar(100) NULL,
	dim_update_time timestamp NULL
);

-- smart_writing."dspd_projectInformation" definition

-- Drop table

-- DROP TABLE smart_writing."dspd_projectInformation";

CREATE TABLE smart_writing."dspd_projectInformation" (
	"ID" int4 NULL,
	"ProjectNO" varchar(255) NULL,
	"ProjectID" varchar(255) NULL,
	"CreateData" timestamp NULL,
	"DSolution" varchar(255) NULL,
	"DFlow" varchar(255) NULL,
	"Dunit" varchar(255) NULL,
	"DMaterial" varchar(255) NULL,
	"CreatUser" varchar(255) NULL,
	"LastModiUser" varchar(255) NULL
);

-- smart_writing.dwd_cps_ldms_t_gene_codon_analyze_result_t1 definition

-- Drop table

-- DROP TABLE smart_writing.dwd_cps_ldms_t_gene_codon_analyze_result_t1;

CREATE TABLE smart_writing.dwd_cps_ldms_t_gene_codon_analyze_result_t1 (
	id int4 NULL,
	detail_id int4 NULL,
	sequence_name varchar(255) NULL,
	result_sequence_name text NULL,
	result_dna_sequence text NULL,
	create_date timestamp NULL,
	create_userid int4 NULL,
	constant_name varchar(500) NULL,
	it_constant_name varchar(500) NULL,
	it_dna_sequence text NULL,
	ods_update_time timestamp NULL
);

-- smart_writing.dwd_cps_ldms_t_gene_codon_analyze_result_t2 definition

-- Drop table

-- DROP TABLE smart_writing.dwd_cps_ldms_t_gene_codon_analyze_result_t2;

CREATE TABLE smart_writing.dwd_cps_ldms_t_gene_codon_analyze_result_t2 (
	id int4 NULL,
	detail_id int4 NULL,
	sequence_name varchar(255) NULL,
	result_sequence_name text NULL,
	result_dna_sequence text NULL,
	create_date timestamp NULL,
	create_userid int4 NULL,
	constant_name varchar(500) NULL,
	it_constant_name varchar(500) NULL,
	it_dna_sequence text NULL,
	ods_update_time timestamp NULL
);

-- smart_writing.dwd_cps_ldms_t_laboratory_data_detail_t definition

-- Drop table

-- DROP TABLE smart_writing.dwd_cps_ldms_t_laboratory_data_detail_t;

CREATE TABLE smart_writing.dwd_cps_ldms_t_laboratory_data_detail_t (
	project_code varchar(255) NULL,
	sequence_id varchar(2550) NULL,
	id int8 NULL,
	laboratory_data_id int8 NULL,
	data_type varchar(255) NULL,
	remark varchar(255) NULL,
	template_id int4 NULL,
	peptide_id varchar(255) NULL,
	creater_userid varchar(255) NULL,
	create_time timestamp NULL,
	updater_userid varchar(255) NULL,
	update_time timestamp NULL,
	status int4 NULL,
	handover_status int4 NULL,
	parent_id int4 NULL,
	validity int4 NULL,
	c1 text NULL,
	c2 text NULL,
	c3 text NULL,
	c4 text NULL,
	c5 text NULL,
	c6 text NULL,
	c7 text NULL,
	c8 text NULL,
	c9 text NULL,
	c10 text NULL,
	c11 text NULL,
	c12 text NULL,
	c13 text NULL,
	c14 text NULL,
	c15 text NULL,
	c16 text NULL,
	c17 text NULL,
	c18 text NULL,
	c19 text NULL,
	c20 text NULL,
	c21 text NULL,
	c22 text NULL,
	c23 text NULL,
	c24 text NULL,
	c25 text NULL,
	c26 text NULL,
	c27 text NULL,
	c28 text NULL,
	c29 text NULL,
	c30 text NULL,
	c31 text NULL,
	c32 text NULL,
	c33 text NULL,
	c34 text NULL,
	c35 text NULL,
	output_id varchar(500) NULL,
	freezing_code varchar(255) NULL,
	c36 text NULL,
	c37 text NULL,
	c38 text NULL,
	c39 text NULL,
	c40 text NULL,
	c41 text NULL,
	c42 text NULL,
	c43 text NULL,
	c44 text NULL,
	c45 text NULL,
	comments_barcode varchar(100) NULL,
	detail_temp_id int4 NULL,
	report_mark int4 NULL,
	c46 text NULL,
	c47 text NULL,
	c48 text NULL,
	c49 text NULL,
	c50 text NULL,
	harvest_day varchar(255) NULL,
	is_import int4 NULL,
	comment1 text NULL,
	fb_culture_day varchar(20) NULL,
	fb_first_date varchar(100) NULL,
	c51 text NULL,
	c52 text NULL,
	c53 text NULL,
	c54 text NULL,
	c55 text NULL,
	c56 text NULL,
	c57 text NULL,
	c58 text NULL,
	c59 text NULL,
	c60 text NULL,
	c61 text NULL,
	c62 text NULL,
	c63 text NULL,
	c64 text NULL,
	c65 text NULL,
	c66 text NULL,
	c67 text NULL,
	c68 text NULL,
	c69 text NULL,
	c70 text NULL,
	c71 text NULL,
	c72 text NULL,
	c73 text NULL,
	c74 text NULL,
	c75 text NULL,
	c76 text NULL,
	c77 text NULL,
	c78 text NULL,
	c79 text NULL,
	c80 text NULL,
	c81 text NULL,
	c82 text NULL,
	c83 text NULL,
	c84 text NULL,
	c85 text NULL,
	c86 text NULL,
	c87 text NULL,
	c88 text NULL,
	c89 text NULL,
	c90 text NULL,
	ccpd_is_sameclone varchar(255) NULL,
	approval_status int4 NULL,
	witness_userid int4 NULL,
	dept text NULL,
	c91 text NULL,
	c92 text NULL,
	c93 text NULL,
	c95 text NULL,
	c94 text NULL,
	c96 text NULL,
	c97 text NULL,
	c98 text NULL,
	c99 text NULL,
	hidden_category varchar(1000) NULL,
	select_cp_id int4 NULL,
	project_code_info text NULL,
	c100 text NULL,
	c101 text NULL,
	c102 text NULL,
	c103 text NULL,
	c104 text NULL,
	c105 text NULL,
	c106 text NULL,
	c107 text NULL,
	c108 text NULL,
	c109 text NULL,
	c110 text NULL,
	c111 text NULL,
	c112 text NULL,
	c113 text NULL,
	c114 text NULL,
	c115 varchar(255) NULL,
	c116 varchar(255) NULL,
	c117 varchar(255) NULL,
	c118 text NULL,
	c119 varchar(255) NULL,
	c120 varchar(255) NULL,
	share_userid int4 NULL,
	share_time timestamp NULL,
	witness_date timestamp NULL,
	ods_update_time timestamp NULL
);

-- smart_writing.dwd_cps_ldms_t_molecule_sequence_analysis_t1 definition

-- Drop table

-- DROP TABLE smart_writing.dwd_cps_ldms_t_molecule_sequence_analysis_t1;

CREATE TABLE smart_writing.dwd_cps_ldms_t_molecule_sequence_analysis_t1 (
	project_code varchar(255) NULL,
	id int4 NULL,
	lab_detail_id int4 NULL,
	query_name varchar(255) NULL,
	fc_isotype varchar(255) NULL,
	"position" varchar(255) NULL,
	mutation varchar(255) NULL,
	create_userid int4 NULL,
	create_time timestamp NULL,
	batch_no varchar(50) NULL,
	"type" int4 NULL,
	project_name varchar(255) NULL,
	molecule_id varchar(255) NULL,
	ch_name varchar(255) NULL,
	ods_update_time timestamp NULL
);

-- smart_writing.dwd_cps_ldms_t_molecule_sequence_analysis_t2 definition

-- Drop table

-- DROP TABLE smart_writing.dwd_cps_ldms_t_molecule_sequence_analysis_t2;

CREATE TABLE smart_writing.dwd_cps_ldms_t_molecule_sequence_analysis_t2 (
	project_code varchar(255) NULL,
	id int4 NULL,
	lab_detail_id int4 NULL,
	query_name varchar(255) NULL,
	fc_isotype varchar(255) NULL,
	"position" varchar(255) NULL,
	mutation varchar(255) NULL,
	create_userid int4 NULL,
	create_time timestamp NULL,
	batch_no varchar(50) NULL,
	"type" int4 NULL,
	project_name varchar(255) NULL,
	molecule_id varchar(255) NULL,
	ch_name varchar(255) NULL,
	ods_update_time timestamp NULL
);

-- smart_writing.dwd_cps_ldms_t_molecule_sequence_by_product_t definition

-- Drop table

-- DROP TABLE smart_writing.dwd_cps_ldms_t_molecule_sequence_by_product_t;

CREATE TABLE smart_writing.dwd_cps_ldms_t_molecule_sequence_by_product_t (
	project_code varchar(255) NULL,
	id int4 NULL,
	lab_detail_id int4 NULL,
	product varchar(500) NULL,
	mw varchar(255) NULL,
	pi varchar(255) NULL,
	ec varchar(255) NULL,
	create_userid int4 NULL,
	create_time timestamp NULL,
	cf varchar(255) NULL,
	sequence_type varchar(255) NULL,
	with_signal_peptide varchar(255) NULL,
	molecule_type varchar(255) NULL,
	ratio varchar(255) NULL,
	species varchar(255) NULL,
	expression_host varchar(255) NULL,
	"type" int4 NULL,
	project_name varchar(255) NULL,
	molecule_id varchar(250) NULL,
	modeled_pi varchar(255) NULL,
	batch_no varchar(50) NULL,
	ods_update_time timestamp NULL
);

-- smart_writing.dwd_cps_ldms_t_molecule_sequence_information_t1 definition

-- Drop table

-- DROP TABLE smart_writing.dwd_cps_ldms_t_molecule_sequence_information_t1;

CREATE TABLE smart_writing.dwd_cps_ldms_t_molecule_sequence_information_t1 (
	id int4 NULL,
	lab_detail_id int4 NULL,
	sequence_id varchar(2550) NULL,
	ratio varchar(255) NULL,
	sequence_from_client text NULL,
	dna_sequence_with_signal_peptide text NULL,
	dna_sequence_with_signal_peptide_wuxi text NULL,
	protein_sequence text NULL,
	signal_peptide text NULL,
	signal_peptide_wuxi text NULL,
	variable_region_subtype varchar(255) NULL,
	signal_peptide_name varchar(255) NULL,
	number_of_cystein varchar(255) NULL,
	glycosylation_sites varchar(255) NULL,
	n_terminus_is_q varchar(255) NULL,
	c_terminus_is_k varchar(255) NULL,
	molecular_weight_da text NULL,
	molecular_weight_terminal text NULL,
	fd_mass_da varchar(4000) NULL,
	fc_mass_da varchar(4000) NULL,
	create_userid int4 NULL,
	create_time timestamp NULL,
	signal_peptide_client_or_dna varchar(4000) NULL,
	"type" int4 NULL,
	project_name varchar(255) NULL,
	molecule_id varchar(255) NULL,
	constant_region_subtype varchar(255) NULL,
	chain_type varchar(255) NULL,
	isotype varchar(100) NULL,
	affinity_tag varchar(100) NULL,
	note varchar(255) NULL,
	point varchar(255) NULL,
	"comments" varchar(255) NULL,
	able_to_optimized varchar(255) NULL,
	batch_no varchar(50) NULL,
	ods_update_time timestamp NULL
);

-- smart_writing.dwd_cps_ldms_t_molecule_sequence_information_t2 definition

-- Drop table

-- DROP TABLE smart_writing.dwd_cps_ldms_t_molecule_sequence_information_t2;

CREATE TABLE smart_writing.dwd_cps_ldms_t_molecule_sequence_information_t2 (
	id int4 NULL,
	lab_detail_id int4 NULL,
	sequence_id varchar(2550) NULL,
	ratio varchar(255) NULL,
	sequence_from_client text NULL,
	dna_sequence_with_signal_peptide text NULL,
	dna_sequence_with_signal_peptide_wuxi text NULL,
	protein_sequence text NULL,
	signal_peptide text NULL,
	signal_peptide_wuxi text NULL,
	variable_region_subtype varchar(255) NULL,
	signal_peptide_name varchar(255) NULL,
	number_of_cystein varchar(255) NULL,
	glycosylation_sites varchar(255) NULL,
	n_terminus_is_q varchar(255) NULL,
	c_terminus_is_k varchar(255) NULL,
	molecular_weight_da text NULL,
	molecular_weight_terminal text NULL,
	fd_mass_da varchar(4000) NULL,
	fc_mass_da varchar(4000) NULL,
	create_userid int4 NULL,
	create_time timestamp NULL,
	signal_peptide_client_or_dna varchar(4000) NULL,
	"type" int4 NULL,
	project_name varchar(255) NULL,
	molecule_id varchar(255) NULL,
	constant_region_subtype varchar(255) NULL,
	chain_type varchar(255) NULL,
	isotype varchar(100) NULL,
	affinity_tag varchar(100) NULL,
	note varchar(255) NULL,
	point varchar(255) NULL,
	"comments" varchar(255) NULL,
	able_to_optimized varchar(255) NULL,
	batch_no varchar(50) NULL,
	ods_update_time timestamp NULL
);

-- smart_writing.dwd_cps_ldms_t_molecule_sequence_motif_domain_analysis_t definition

-- Drop table

-- DROP TABLE smart_writing.dwd_cps_ldms_t_molecule_sequence_motif_domain_analysis_t;

CREATE TABLE smart_writing.dwd_cps_ldms_t_molecule_sequence_motif_domain_analysis_t (
	id int4 NULL,
	lab_detail_id int4 NULL,
	query_name varchar(2000) NULL,
	start_position varchar(200) NULL,
	end_position varchar(200) NULL,
	catetory varchar(200) NULL,
	"source" varchar(200) NULL,
	subtype_or_name varchar(200) NULL,
	create_userid int4 NULL,
	create_time timestamp NULL,
	orders varchar(255) NULL,
	species varchar(255) NULL,
	region varchar(255) NULL,
	"sequence" text NULL,
	"type" varchar(50) NULL,
	batch_no varchar(50) NULL,
	ods_update_time timestamp NULL
);

-- smart_writing.dwd_dpd_study_plan_protein definition

-- Drop table

-- DROP TABLE smart_writing.dwd_dpd_study_plan_protein;

CREATE TABLE smart_writing.dwd_dpd_study_plan_protein (
	project_cd varchar(255) NULL,
	study_plan_name varchar(255) NULL,
	"name" varchar(255) NULL,
	supplier varchar(255) NULL,
	bioreactor_size varchar(255) NULL,
	lot_no varchar(255) NULL,
	protein_concentration varchar(255) NULL,
	weight_volume varchar(255) NULL,
	prescription_composition varchar(255) NULL,
	ods_update_time varchar(35) NULL
);

-- smart_writing.dwd_dpd_study_plan_solution_excipient definition

-- Drop table

-- DROP TABLE smart_writing.dwd_dpd_study_plan_solution_excipient;

CREATE TABLE smart_writing.dwd_dpd_study_plan_solution_excipient (
	study_plan_name varchar(100) NULL,
	project_cd varchar(100) NULL,
	solution_name_cn varchar(1000) NULL,
	solution_name_en varchar(1000) NULL,
	weight_volume varchar(100) NULL,
	is_ttp varchar(100) NULL,
	excipient_name varchar(255) NULL,
	excipient_name_en varchar(255) NULL,
	excipient_concentration varchar(255) NULL,
	excipient_concentration_unit varchar(255) NULL,
	dwd_update_time timestamp NULL
);

-- smart_writing.dwd_dpd_study_plan_solution_reagent definition

-- Drop table

-- DROP TABLE smart_writing.dwd_dpd_study_plan_solution_reagent;

CREATE TABLE smart_writing.dwd_dpd_study_plan_solution_reagent (
	project_cd varchar(100) NULL,
	study_plan_name varchar(100) NULL,
	material_id varchar(100) NULL,
	solution_name_cn varchar(1000) NULL,
	name_en varchar(255) NULL,
	name_cn varchar(255) NULL,
	vendor_en varchar(255) NULL,
	vendor_cn varchar(255) NULL,
	grade varchar(255) NULL,
	catalogue_no varchar(255) NULL,
	dwd_update_time timestamp NULL
);

-- smart_writing.dwd_dpd_study_plan_solution_recipe definition

-- Drop table

-- DROP TABLE smart_writing.dwd_dpd_study_plan_solution_recipe;

CREATE TABLE smart_writing.dwd_dpd_study_plan_solution_recipe (
	project_cd varchar(100) NULL,
	study_plan_name varchar(100) NULL,
	material_id varchar(100) NULL,
	solution_name_cn varchar(1000) NULL,
	solution_name_en varchar(1000) NULL,
	liquid_name varchar(255) NULL,
	liquid_name_en varchar(255) NULL,
	target_weight varchar(255) NULL,
	actual_weight varchar(255) NULL,
	fixed_weight varchar(255) NULL,
	is_surfactant varchar(255) NULL,
	dwd_update_time timestamp NULL
);

-- smart_writing.dwd_dpd_study_plan_solution_surfactant definition

-- Drop table

-- DROP TABLE smart_writing.dwd_dpd_study_plan_solution_surfactant;

CREATE TABLE smart_writing.dwd_dpd_study_plan_solution_surfactant (
	project_cd varchar(100) NULL,
	study_plan_name varchar(100) NULL,
	material_id varchar(100) NULL,
	solution_name_cn varchar(1000) NULL,
	solution_name_en varchar(1000) NULL,
	weight_volume varchar(100) NULL,
	surfactant_name varchar(255) NULL,
	surfactant_name_en varchar(255) NULL,
	source_id varchar(255) NULL,
	surfactant_concentration varchar(255) NULL,
	surfactant_concentration_unit varchar(255) NULL,
	dwd_update_time timestamp NULL
);

-- smart_writing.dwd_ods_cps_sample_information definition

-- Drop table

-- DROP TABLE smart_writing.dwd_ods_cps_sample_information;

CREATE TABLE smart_writing.dwd_ods_cps_sample_information (
	buffer_id text NULL,
	"Concentration" text NULL,
	"NO" text NULL,
	"Sample_Name" text NULL,
	"Buffer_Name" text NULL,
	"Protein_Amount" text NULL,
	"Volume" text NULL,
	"Comments" text NULL,
	"Cell_Bank_Type" text NULL,
	"Lot_Number" text NULL,
	"Cell_Counts" text NULL,
	"Source" text NULL,
	"Cell_ID" text NULL,
	via text NULL,
	vcd text NULL,
	"Culture_Volume" text NULL,
	"Request_No" text NULL,
	"Sample_Type" text NULL,
	"Sample_ID" text NULL,
	"Project_Code" text NULL,
	"ID" text NULL,
	"Lot_No" text NULL,
	"Sample_Date" text NULL,
	"Sample_Source" text NULL,
	"Cell_Viability" text NULL,
	"Host_Cell" text NULL,
	"Sample_Barcode" text NULL,
	"Cell_Source" text NULL,
	"Cell Counts(E6)" text NULL,
	"Cell_Number" text NULL,
	"Molecule_ID" text NULL,
	"Amount" text NULL,
	"Viability" text NULL,
	"Sample_Volume" text NULL,
	"Cell_Count" text NULL
);

-- smart_writing.ldms_lims7_as definition

-- Drop table

-- DROP TABLE smart_writing.ldms_lims7_as;

CREATE TABLE smart_writing.ldms_lims7_as (
	id int4 NOT NULL,
	name_en varchar(255) NULL,
	"name" varchar(255) NULL,
	category varchar(255) NULL,
	lot_no varchar(255) NULL,
	dept_id varchar(10) NULL,
	status int4 NULL,
	"comment" varchar(255) NULL,
	item_number varchar(255) NULL,
	molecule_number varchar(255) NULL,
	formulation varchar(255) NULL
);

-- smart_writing.lims7_sample_all_data definition

-- Drop table

-- DROP TABLE smart_writing.lims7_sample_all_data;

CREATE TABLE smart_writing.lims7_sample_all_data (
	code varchar(50) NULL,
	project_cd varchar(50) NULL,
	lot_no varchar(50) NULL,
	sample_number int4 NULL,
	date_started timestamp NULL,
	init_time timestamp NULL,
	buffer_information varchar(254) NULL,
	invest_num varchar(50) NULL,
	sample_invest_des varchar(512) NULL,
	sample_invest_num varchar(50) NULL,
	product varchar(30) NULL,
	analysis varchar(30) NULL,
	test_number int4 NULL,
	c_amp_no varchar(254) NULL,
	test_invest_des varchar(512) NULL,
	test_invest_num varchar(50) NULL,
	timepoint varchar(20) NULL,
	"condition" varchar(254) NULL,
	protocol_level varchar(20) NULL,
	ds_code varchar(50) NULL,
	manufacturing_site varchar(254) NULL,
	c_manufacture varchar(254) NULL,
	dp_code varchar(50) NULL,
	target_con varchar(30) NULL,
	max_timepoint varchar(20) NULL,
	c_protocol_no varchar(254) NULL
);

-- smart_writing.lims7_sample_all_data_timepoint definition

-- Drop table

-- DROP TABLE smart_writing.lims7_sample_all_data_timepoint;

CREATE TABLE smart_writing.lims7_sample_all_data_timepoint (
	code varchar(50) NULL,
	project_cd varchar(50) NULL,
	lot_no varchar(50) NULL,
	"condition" varchar(254) NULL,
	protocol_level varchar(20) NULL,
	max_timepoint varchar(20) NULL,
	timepoint varchar(10000) NULL
);

-- smart_writing.lims7_specification definition

-- Drop table

-- DROP TABLE smart_writing.lims7_specification;

CREATE TABLE smart_writing.lims7_specification (
	code varchar(50) NULL,
	project_cd varchar(50) NULL,
	lot_no varchar(50) NULL,
	sampleid int4 NULL,
	analysis varchar(50) NULL,
	analysis1 varchar(50) NULL,
	subinspectionitems varchar(512) NULL,
	"condition" varchar(50) NULL,
	level_name varchar(50) NULL,
	min_value float8 NULL,
	max_value float8 NULL,
	report_value varchar(254) NULL,
	numeric_value float8 NULL,
	units varchar(50) NULL,
	spec_rule varchar(50) NULL,
	specification varchar(254) NULL,
	acceptancecriteria varchar(10000) NULL
);

-- smart_writing.ods_cps_c8 definition

-- Drop table

-- DROP TABLE smart_writing.ods_cps_c8;

CREATE TABLE smart_writing.ods_cps_c8 (
	project_code varchar(100) NULL,
	"Pool_ID" varchar(100) NULL,
	"Concentration" varchar(100) NULL,
	"Molecule_Name" varchar(100) NULL
);

-- smart_writing.ods_cps_cell_information definition

-- Drop table

-- DROP TABLE smart_writing.ods_cps_cell_information;

CREATE TABLE smart_writing.ods_cps_cell_information (
	project_code varchar(255) NULL,
	sequence_id varchar(2550) NULL,
	sample_id text NULL,
	sample_time text NULL,
	cell_type text NULL,
	viability text NULL,
	viable_cell_density text NULL,
	volume text NULL,
	pdl text NULL,
	step_no text NULL
);

-- smart_writing.ods_cps_col definition

-- Drop table

-- DROP TABLE smart_writing.ods_cps_col;

CREATE TABLE smart_writing.ods_cps_col (
	c1 text NULL,
	c4 text NULL,
	c5 text NULL,
	c6 text NULL,
	c7 text NULL,
	c8 text NULL,
	c9 text NULL,
	c10 text NULL,
	c11 text NULL,
	c14 text NULL,
	c18 text NULL,
	c20 text NULL,
	c35 text NULL
);

-- smart_writing.ods_cps_copy_number_analysis definition

-- Drop table

-- DROP TABLE smart_writing.ods_cps_copy_number_analysis;

CREATE TABLE smart_writing.ods_cps_copy_number_analysis (
	"Sample Name" varchar(50) NULL,
	"Target" varchar(50) NULL,
	"Copy Number" varchar(50) NULL,
	id varchar(50) NULL
);

-- smart_writing.ods_cps_copy_number_variation definition

-- Drop table

-- DROP TABLE smart_writing.ods_cps_copy_number_variation;

CREATE TABLE smart_writing.ods_cps_copy_number_variation (
	"Sample_ID" varchar(100) NULL,
	"Target" varchar(100) NULL,
	"△Ct" varchar(100) NULL,
	"STD of △Ct" varchar(100) NULL,
	"-△△Ct" varchar(100) NULL,
	"Relative Copy Number (2-△△CT)" varchar(100) NULL
);

-- smart_writing.ods_cps_cryopreservation definition

-- Drop table

-- DROP TABLE smart_writing.ods_cps_cryopreservation;

CREATE TABLE smart_writing.ods_cps_cryopreservation (
	id bigserial NOT NULL,
	"Status" varchar NULL,
	"Report_mark" varchar NULL,
	"Validity" varchar NULL,
	"Type" varchar NULL,
	"Creator" varchar NULL,
	"Created_date" varchar NULL,
	"Witness" varchar NULL,
	"Withess_date" varchar NULL,
	"Audit_reason" varchar NULL,
	"View" varchar NULL,
	"Document" varchar NULL,
	"Sample_id" varchar NULL,
	CONSTRAINT ods_cps_cryopreservation_pkey PRIMARY KEY (id)
);

-- smart_writing.ods_cps_expermental_record definition

-- Drop table

-- DROP TABLE smart_writing.ods_cps_expermental_record;

CREATE TABLE smart_writing.ods_cps_expermental_record (
	project_code varchar NULL,
	molecule_id varchar(255) NULL,
	task_name varchar(255) NULL,
	task_code varchar(255) NULL,
	"fs" varchar(200) NULL,
	fl varchar(200) NULL,
	status varchar(200) NULL
);

-- smart_writing.ods_cps_harvest_prep definition

-- Drop table

-- DROP TABLE smart_writing.ods_cps_harvest_prep;

CREATE TABLE smart_writing.ods_cps_harvest_prep (
	project_code varchar(255) NULL,
	vials text NULL,
	volume_per_vial text NULL,
	cell_density_for_cryopreservation text NULL,
	cell_bank_name text NULL,
	cryopreservation_lot_no text NULL
);

-- smart_writing.ods_cps_json_values definition

-- Drop table

-- DROP TABLE smart_writing.ods_cps_json_values;

CREATE TABLE smart_writing.ods_cps_json_values (
	id int4 NULL,
	cn text NULL,
	row_no int4 NULL,
	project_code text NULL
);

-- smart_writing.ods_cps_ldms_t_laboratory_data_detail definition

-- Drop table

-- DROP TABLE smart_writing.ods_cps_ldms_t_laboratory_data_detail;

CREATE TABLE smart_writing.ods_cps_ldms_t_laboratory_data_detail (
	id int8 NOT NULL,
	laboratory_data_id int8 NULL,
	data_type varchar(255) NULL,
	remark varchar(255) NULL,
	template_id int4 NULL,
	peptide_id varchar(255) NULL,
	creater_userid varchar(255) NULL,
	create_time timestamp NULL,
	updater_userid varchar(255) NULL,
	update_time timestamp NULL,
	status int4 NULL,
	handover_status int4 NULL,
	parent_id int4 NULL,
	validity int4 NULL,
	c1 text NULL,
	c2 text NULL,
	c3 text NULL,
	c4 text NULL,
	c5 text NULL,
	c6 text NULL,
	c7 text NULL,
	c8 text NULL,
	c9 text NULL,
	c10 text NULL,
	c11 text NULL,
	c12 text NULL,
	c13 text NULL,
	c14 text NULL,
	c15 text NULL,
	c16 text NULL,
	c17 text NULL,
	c18 text NULL,
	c19 text NULL,
	c20 text NULL,
	c21 text NULL,
	c22 text NULL,
	c23 text NULL,
	c24 text NULL,
	c25 text NULL,
	c26 text NULL,
	c27 text NULL,
	c28 text NULL,
	c29 text NULL,
	c30 text NULL,
	c31 text NULL,
	c32 text NULL,
	c33 text NULL,
	c34 text NULL,
	c35 text NULL,
	output_id varchar(500) NULL,
	freezing_code varchar(255) NULL,
	c36 text NULL,
	c37 text NULL,
	c38 text NULL,
	c39 text NULL,
	c40 text NULL,
	c41 text NULL,
	c42 text NULL,
	c43 text NULL,
	c44 text NULL,
	c45 text NULL,
	comments_barcode varchar(100) NULL,
	detail_temp_id int4 NULL,
	report_mark int4 NULL,
	c46 text NULL,
	c47 text NULL,
	c48 text NULL,
	c49 text NULL,
	c50 text NULL,
	harvest_day varchar(255) NULL,
	is_import int4 NULL,
	comment1 text NULL,
	fb_culture_day varchar(20) NULL,
	fb_first_date varchar(100) NULL,
	c51 text NULL,
	c52 text NULL,
	c53 text NULL,
	c54 text NULL,
	c55 text NULL,
	c56 text NULL,
	c57 text NULL,
	c58 text NULL,
	c59 text NULL,
	c60 text NULL,
	c61 text NULL,
	c62 text NULL,
	c63 text NULL,
	c64 text NULL,
	c65 text NULL,
	c66 text NULL,
	c67 text NULL,
	c68 text NULL,
	c69 text NULL,
	c70 text NULL,
	c71 text NULL,
	c72 text NULL,
	c73 text NULL,
	c74 text NULL,
	c75 text NULL,
	c76 text NULL,
	c77 text NULL,
	c78 text NULL,
	c79 text NULL,
	c80 text NULL,
	c81 text NULL,
	c82 text NULL,
	c83 varchar(255) NULL,
	c84 varchar(255) NULL,
	c85 varchar(255) NULL,
	c86 text NULL,
	c87 text NULL,
	c88 text NULL,
	c89 text NULL,
	c90 text NULL,
	ccpd_is_sameclone varchar(255) NULL,
	approval_status int4 NULL,
	witness_userid int4 NULL,
	witness_date timestamp NULL,
	dept varchar(255) NULL,
	c91 varchar(255) NULL,
	c92 varchar(255) NULL,
	c93 varchar(255) NULL,
	c94 varchar(255) NULL,
	c95 text NULL,
	c96 text NULL,
	c97 text NULL,
	c98 text NULL,
	c99 text NULL,
	cps_id int4 NULL,
	hidden_category varchar(1000) NULL,
	select_cp_id varchar(50) NULL,
	project_code_info varchar(255) NULL,
	c100 text NULL,
	c101 text NULL,
	c102 text NULL,
	c103 text NULL,
	c104 varchar(50) NULL,
	c105 varchar(50) NULL,
	c106 varchar(50) NULL,
	c107 varchar(50) NULL,
	c108 varchar(50) NULL,
	c109 varchar(50) NULL,
	c110 text NULL,
	c111 text NULL,
	c112 text NULL,
	c113 text NULL,
	c114 text NULL,
	c115 varchar(50) NULL,
	c116 varchar(50) NULL,
	c117 varchar(50) NULL,
	c118 text NULL,
	c119 varchar(50) NULL,
	c120 varchar(50) NULL,
	share_userid int4 NULL,
	share_time timestamp NULL
);

-- smart_writing.ods_cps_ldms_t_template_detail definition

-- Drop table

-- DROP TABLE smart_writing.ods_cps_ldms_t_template_detail;

CREATE TABLE smart_writing.ods_cps_ldms_t_template_detail (
	id int8 NOT NULL,
	template_id int8 NULL,
	category varchar(255) NULL,
	"label" varchar(255) NULL,
	col varchar(255) NULL,
	value varchar(3000) NULL,
	unit varchar(255) NULL,
	wdget varchar(255) NULL,
	sort float8 NULL,
	linefeed int2 NULL,
	required int2 NULL,
	editable int2 NULL,
	visible int2 NULL,
	status int2 NULL,
	remark varchar(3000) NULL,
	creater_userid int8 NULL,
	created_time timestamp NULL,
	updater_userid int8 NULL,
	updated_time timestamp NULL,
	data_source varchar(255) NULL,
	dropdown_table_value varchar(2000) NULL,
	alias_name varchar(255) NULL,
	decimal_digit int4 NULL,
	is_del int4 NULL,
	table_default_data varchar(1000) NULL,
	child_id varchar(11) NULL,
	parent_id varchar(11) NULL,
	dropdown_level int4 NULL,
	is_enter_event int4 NULL,
	barcode_field_id varchar(1000) NULL,
	is_barcode_field int4 NULL,
	is_import_excel int4 NULL,
	is_next_copy int4 NULL,
	is_highlight int4 NULL,
	iot_map varchar(255) NULL,
	parent_template_column varchar(255) NULL,
	transfection_marker int4 NULL,
	is_grid_edit int4 NULL,
	dynamic_default_value varchar(255) NULL,
	table_title_db_column varchar(255) NULL,
	scan_data_type varchar(255) NULL,
	table_operate_button varchar(255) NULL,
	abbreviation varchar(255) NULL,
	grid_cell_width int4 NULL,
	is_qc_sample_list int4 NULL,
	is_qc_appendix int4 NULL,
	is_qc_result int4 NULL,
	is_general_condition_default int4 NULL,
	table_col_length_ratio varchar(1000) NULL,
	table_batch_update int4 NULL,
	table_batch_update_label varchar(2000) NULL
);

-- smart_writing.ods_cps_sample_information definition

-- Drop table

-- DROP TABLE smart_writing.ods_cps_sample_information;

CREATE TABLE smart_writing.ods_cps_sample_information (
	buffer_id text NULL,
	"Concentration" text NULL,
	"NO" text NULL,
	"Sample_Name" text NULL,
	"Buffer_Name" text NULL,
	"Protein_Amount" text NULL,
	"Volume" text NULL,
	"Comments" text NULL,
	"Cell_Bank_Type" text NULL,
	"Lot_Number" text NULL,
	"Cell_Counts" text NULL,
	"Source" text NULL,
	"Cell_ID" text NULL,
	via text NULL,
	vcd text NULL,
	"Culture_Volume" text NULL,
	"Request_No" text NULL,
	"Sample_Type" text NULL,
	"Sample_ID" text NULL,
	"Project_Code" text NULL,
	"ID" text NULL,
	"Lot_No" text NULL,
	"Sample_Date" text NULL,
	"Sample_Source" text NULL,
	"Cell_Viability" text NULL,
	"Host_Cell" text NULL,
	"Sample_Barcode" text NULL,
	"Cell_Source" text NULL,
	"Cell Counts(E6)" text NULL,
	"Cell_Number" text NULL,
	"Molecule_ID" text NULL,
	"Amount" text NULL,
	"Viability" text NULL,
	"Sample_Volume" text NULL,
	"Cell_Count" text NULL
);

-- smart_writing.ods_cps_view definition

-- Drop table

-- DROP TABLE smart_writing.ods_cps_view;

CREATE TABLE smart_writing.ods_cps_view (
	medium_id varchar(255) NULL,
	medum_name varchar(255) NULL,
	"ciucose_concentratin(g/l)" varchar(255) NULL,
	purpose varchar(255) NULL,
	"total_Volume/Amount" varchar(255) NULL,
	lot_no1 varchar(255) NULL,
	expration_date1 timestamp NULL,
	project_exclusive varchar(255) NULL,
	user_exclusive int4 NULL,
	gin_concentration varchar(255) NULL,
	medium_type varchar(255) NULL,
	bu varchar(255) NULL,
	components varchar(255) NULL,
	discription varchar(255) NULL,
	brand varchar(255) NULL,
	catalog_no varchar(255) NULL,
	lot_no2 varchar(255) NULL,
	expration_date2 timestamp NULL,
	intial_concentration varchar(255) NULL,
	final_concenttration varchar(255) NULL
);

-- smart_writing.qc_lims7_result_acc definition

-- Drop table

-- DROP TABLE smart_writing.qc_lims7_result_acc;

CREATE TABLE smart_writing.qc_lims7_result_acc (
	project_cd varchar(50) NULL,
	lot_no varchar(254) NULL,
	"REPORTED_NAME_AN" varchar(254) NULL,
	"C_AMP_NO" varchar(254) NULL,
	"REPORTED_NAME_CMP" varchar(254) NULL,
	check_item varchar(50) NULL,
	analysis1 varchar(50) NULL,
	check_name varchar(254) NULL,
	check_result varchar(254) NULL,
	acceptancecriteria varchar(10000) NULL
);

-- smart_writing.t_muse_material_consumable_t definition

-- Drop table

-- DROP TABLE smart_writing.t_muse_material_consumable_t;

CREATE TABLE smart_writing.t_muse_material_consumable_t (
	id int4 NOT NULL,
	name_en varchar(255) NULL,
	name_cn varchar(255) NULL,
	category varchar(255) NULL,
	catalogue_no varchar(255) NULL,
	lot_no varchar(255) NULL,
	dept_id int4 NULL,
	status int4 NULL,
	"comment" varchar(255) NULL
);

-- smart_writing.t_muse_study_plan_consumable_t definition

-- Drop table

-- DROP TABLE smart_writing.t_muse_study_plan_consumable_t;

CREATE TABLE smart_writing.t_muse_study_plan_consumable_t (
	id int4 NOT NULL,
	"name" varchar(255) NULL,
	item_number varchar(255) NULL,
	source_id int4 NULL
);

-- smart_writing."wxas_lims6_4.4" definition

-- Drop table

-- DROP TABLE smart_writing."wxas_lims6_4.4";

CREATE TABLE smart_writing."wxas_lims6_4.4" (
	"C_PROJECT_CODE" varchar(50) NULL,
	"C_REQUEST_NO" varchar(50) NULL,
	"C_LOT_NO" varchar(50) NULL,
	"C_BUFFER_COMPOSITION" varchar(255) NULL,
	"ANALYSIS" varchar(20) NULL,
	"NAME" varchar(60) NULL,
	"ENTRY" varchar(254) NULL,
	"INVENTORY_TYPE" varchar(20) NULL,
	"T_SINGLE_VIAL_QTY" float8 NULL
);

-- smart_writing."wxas_lims6_8.1" definition

-- Drop table

-- DROP TABLE smart_writing."wxas_lims6_8.1";

CREATE TABLE smart_writing."wxas_lims6_8.1" (
	"C_PROJECT_CODE" varchar(50) NULL,
	"C_LOT_NO" varchar(50) NULL,
	"C_REQUEST_NO" varchar(50) NULL,
	"CONDITION" varchar(20) NULL,
	"TIMEPOINT" varchar(20) NULL,
	"PROTOCOL_LEVEL" varchar(20) NULL,
	"BASE_DATE" timestamp NULL,
	"SAMPLE_TYPE" varchar(20) NULL
);

-- smart_writing."wxas_lims6_8.3" definition

-- Drop table

-- DROP TABLE smart_writing."wxas_lims6_8.3";

CREATE TABLE smart_writing."wxas_lims6_8.3" (
	"C_PROJECT_CODE" varchar(50) NULL,
	"C_REQUEST_NO" varchar(50) NULL,
	"C_LOT_NO" varchar(50) NULL,
	"ANALYSIS" varchar(20) NULL,
	"NAME" varchar(60) NULL,
	"ENTRY" varchar(254) NULL,
	"TIMEPOINT" varchar(20) NULL,
	"CONDITION" varchar(20) NULL,
	"PROTOCOL_LEVEL" varchar(20) NULL
);

-- smart_writing.wxqc_stability_t definition

-- Drop table

-- DROP TABLE smart_writing.wxqc_stability_t;

CREATE TABLE smart_writing.wxqc_stability_t (
	project_code varchar(50) NOT NULL,
	"C_PROJ_NO" varchar(50) NULL,
	"DATE_STARTED" timestamp NULL,
	"C_BUFFER_INFORMATION" varchar(254) NULL,
	"SAMPLE_NUMBER" int4 NULL,
	lot_no varchar(254) NULL,
	invest_num varchar(50) NULL,
	"C_INVEST_DES" varchar(512) NULL,
	"ANALYSIS" varchar(30) NULL,
	"TEST_NUMBER" int4 NULL,
	"C_AMP_NO" varchar(254) NULL,
	"C_INVEST_NUM_TEST" varchar(50) NULL,
	"C_INVEST_DES_TEST" varchar(512) NULL,
	"REPORT_NUMBER" int4 NULL,
	"TIMEPOINT" varchar(20) NULL,
	"condition" varchar(254) NULL,
	protocol_level varchar(20) NULL,
	result_number int4 NULL,
	upper_limit varchar(512) NULL,
	lower_limit varchar(512) NULL,
	"ITEM_CODE" varchar(30) NULL,
	"C_DS_LOT_NUMBER" varchar(50) NULL,
	"MANUFACTURING_SITE" varchar(254) NULL,
	"C_MANUFACTURE" varchar(254) NULL,
	"DISPLAY_AS" varchar(50) NULL,
	"C_TARGET_CON" varchar(30) NULL,
	max_timepoint varchar(20) NULL,
	"AcceptanceCriteria" varchar(254) NULL
);